> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tolt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Programs

> This endpoint lists all programs available in your organization.

## Base URL `https://api.tolt.com`

<br />

### Query Parameters

This endpoint does not accept query parameters.

### Response

<ResponseField name="success" type="boolean">
  Whether the request was successful.
</ResponseField>

<ResponseField name="has_more" type="boolean">
  Whether there are more pages of results available.
</ResponseField>

<ResponseField name="total_count" type="integer">
  Total number of programs.
</ResponseField>

<ResponseField name="data" type="array[Object]">
  <Expandable title="properties" defaultOpen={false}>
    <ResponseField name="id" type="string">
      Unique identifier for the program, `uuid` or prefixed with `prg_`.
    </ResponseField>

    <ResponseField name="name" type="string">
      Program name.
    </ResponseField>

    <ResponseField name="status" type="string">
      Program status (for example, `active` or `inactive`).
    </ResponseField>

    <ResponseField name="currency_code" type="string">
      Three-letter ISO currency code used by the program.
    </ResponseField>

    <ResponseField name="created_at" type="string">
      ISO 8601 timestamp of when the program was created.
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={"system"}
  curl -X GET 'https://api.tolt.com/v1/programs' \
  -H 'Authorization: Bearer <API_KEY>' \
  -H 'Content-Type: application/json'
  ```
</RequestExample>

<ResponseExample>
  ```bash Response theme={"system"}
  {
    "success": true,
    "has_more": false,
    "total_count": 2,
    "data": [
      {
        "id": "prg_YRsbPDAKhWfdqJbFACheh",
        "name": "Main Program",
        "status": "active",
        "currency_code": "USD",
        "created_at": "2025-01-13T10:06:11.251Z"
      },
      {
        "id": "prg_ztTmEaAJRtfPVKM9nHhZwhjH",
        "name": "EU Program",
        "status": "active",
        "currency_code": "EUR",
        "created_at": "2025-02-02T09:00:00.000Z"
      }
    ]
  }
  ```
</ResponseExample>
